- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# na_cdot_aggregate – Manage NetApp cDOT aggregates

- DEPRECATED
- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Status

## DEPRECATED

Removed in Ansible:
| version: 2.11
Why: | Updated modules released with increased functionality
Alternative: | Use na_ontap_aggregate instead.

## Synopsis

- Create or destroy aggregates on NetApp cDOT.

## Requirements

The below requirements are needed on the host that executes this module.

- A physical or virtual clustered Data ONTAP system. The modules were developed with Clustered Data ONTAP 8.3
- Ansible 2.2
- netapp-lib (2015.9.25). Install using ‘pip install netapp-lib’

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
disk_count - |  | Number of disks to place into the aggregate, including parity disks. The disks in this newly-created aggregate come from the spare disk pool. The smallest disks in this pool join the aggregate first, unless the `disk-size` argument is provided. Either `disk-count` or `disks` must be supplied. Range [0..2^31-1]. Required when `state=present`.
hostname - / required |  | The hostname or IP address of the ONTAP instance.
name - / required |  | The name of the aggregate to manage.
password - / required |  | Password for the specified user. aliases: pass
state - / required | Choices: present absent | Whether the specified aggregate should exist or not.
username - / required |  | This can be a Cluster-scoped or SVM-scoped account, depending on whether a Cluster-level or SVM-level API is required. For more information, please read the documentation https://mysupport.netapp.com/NOW/download/software/nmsdk/9.4/. aliases: user

## Notes

Note

- The modules prefixed with na\_cdot are built to support the ONTAP storage platform.

## Examples

    - name: Manage Aggregates
      na_cdot_aggregate:
        state: present
        name: ansibleAggr
        disk_count: 1
        hostname: "{{ netapp_hostname }}"
        username: "{{ netapp_username }}"
        password: "{{ netapp_password }}"

    - name: Manage Aggregates
      na_cdot_aggregate:
        state: present
        name: ansibleAggr
        hostname: "{{ netapp_hostname }}"
        username: "{{ netapp_username }}"
        password: "{{ netapp_password }}"

## Status

- This module will be removed in version 2.11. [deprecated]
- For more information see DEPRECATED.

### Authors

- Sumit Kumar (@timuster) <sumit4@netapp.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.